# The Call Object

A call object is created when an outbound call is initiated to deliver a voice message.

### Attributes

> answer\_at            The timestamp when the call was answered.
>
> total\_duration     The duration of the call in seconds.
>
> call\_duration       The duration for which the call was billed in seconds. This might be different from the <mark style="color:orange;">bill\_duration</mark> based on the billing interval of the prefix called.
>
> call\_direction      Indicates whether the call was <mark style="color:orange;">outbound</mark> or <mark style="color:orange;">inbound</mark>.
>
> end\_at                  The timestamp when the call ended.
>
> from\_number      The caller ID using which the call was initiated.
>
> start\_at                The timestamp when the call was initiated.
>
> to\_number          The number to which the call was initiated.
>
> total\_amount     The total amount charged for the call.
>
> &#x20;

Example Object

```json
{
  "start_at": "2023-10-24 22:54:06",
  "answer_at": "2023-10-24 22:54:16",
  "end_at": "2023-10-24 22:55:46",
  "total_duration": 95,
  "call_duration": 90,
  "call_direction": "outbound",
  "from_number": "07080670000",
  "to_number": "2348020000000",
  "total_amount": "30"
}
```

The received callback will adhere to this example object.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.9bits.net/voice/voice-messaging-api/the-call-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
